import symbol from "@assets/symbol-defs.svg";
import symbol_m from "@assets/symbol-mobile.svg";
const symboldef=symbol;
const symbolmobie=symbol_m;
const SvgIcon=({herf,mobile=false,...props})=>{
    const symbol=mobile?symbolmobie:symboldef;
    const formatHerf=()=>{
        if (herf.startsWith("http://")||herf.startsWith("https://")){
            return herf;
        }
        return symbol+"#"+herf;
    }
    const formatOL=()=>{
        if (herf.startsWith("http://")||herf.startsWith("https://")){
            return true;
        }
        return false;
    }
    return (
        <>
            {
                formatOL()?(<img {...props} src={herf}/>):
                    (
                        <svg {...props}>
                             <use xlinkHref={formatHerf()} />
                        </svg>
                    )
            }
        </>
    )
}
export default SvgIcon;
